<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

class SettingSeeder extends Seeder
{

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('settings')->insert([
            ['key' => 'website_name', 'value' => 'NOSK', 'created_at' => now()],
            ['key' => 'keywords', 'value' => 'NOSK', 'created_at' => now()],
            ['key' => 'meta_description', 'value' => 'NOSK', 'created_at' => now()],
            ['key' => 'site_email', 'value' => 'info@example.com', 'created_at' => now()],
            ['key' => 'site_address', 'value' => '205 Middle Street, USA', 'created_at' => now()],
            ['key' => 'site_phone', 'value' => +123456789, 'created_at' => now()],
            ['key' => 'mail_driver', 'value' =>'smtp', 'created_at' => now()],
            ['key' => 'mail_host', 'value' =>'localhost', 'created_at' => now()],
            ['key' => 'mail_port', 'value' =>465, 'created_at' => now()],
            ['key' => 'mail_username', 'value' =>'info@example.com', 'created_at' => now()],
            ['key' => 'mail_password', 'value' =>'vTCfnbe1g4{2', 'created_at' => now()],
            ['key' => 'mail_encryption', 'value' => null, 'created_at' => now()],
            ['key' => 'mail_from_address', 'value' =>'info@example.com', 'created_at' => now()],
            ['key' => 'mail_from_name', 'value' =>'NOSK', 'created_at' => now()],
            ['key' => 'facebook', 'value' =>'https://www.facebook.com', 'created_at' => now()],
            ['key' => 'twitter', 'value' =>'https://www.twitter.com', 'created_at' => now()],
            ['key' => 'instagram', 'value' =>'https://www.instagram.com', 'created_at' => now()],
            ['key' => 'snapchat', 'value' =>'https://www.linkedin.com', 'created_at' => now()],
            ['key' => 'google_play_link', 'value' =>'https://www.linkedin.com', 'created_at' => now()],
            ['key' => 'apple_sore_link', 'value' =>'https://www.linkedin.com', 'created_at' => now()],
//            ['key' => 'linkedin', 'value' =>'https://www.linkedin.com', 'created_at' => now()],
//            ['key' => 'whatsapp', 'value' =>'1234567890', 'created_at' => now()],
            ['key' => 'added_value', 'value' => '15', 'created_at' => now()],
//            ['key' => 'website_percentage', 'value' => '15', 'created_at' => now()],
            ['key' => 'visa_master', 'value' => 1, 'created_at' => now()],
            ['key' => 'apple_pay', 'value' => 1, 'created_at' => now()],
            ['key' => 'stc_pay', 'value' => 1, 'created_at' => now()],
            ['key' => 'mada', 'value' => 1, 'created_at' => now()],
            ['key' => 'website_logo', 'value' => 'assets/web/images/logo.png', 'created_at' => now()],
//            ['key' => 'contact_us_image', 'value' => 'assets/web/images/contact.jpg', 'created_at' => now()],
            ['key' => 'website_disable', 'value' => 0, 'created_at' => now()],
            ['key' => 'dashboard_disable', 'value' => 0, 'created_at' => now()],
        ]);

//        DB::table('settings')->update(['created_at' => now()]);
    }
}
